JsonSyntaxException (Gson 2.3.1 API)
Date: 2014-11-20

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gson
Class JsonSyntaxException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.google.gson.JsonParseException
                      com.google.gson.JsonSyntaxException

All Implemented Interfaces:
  Serializable

    public final class JsonSyntaxException

extends JsonParseException

This exception is raised when Gson attempts to read (or write) a malformed JSON element.

Author:
  Inderjeet Singh, Joel Leitch
See Also:
  Serialized Form

Constructor Summary
`JsonSyntaxException(String msg)`
`JsonSyntaxException(String msg, Throwable cause)`
`JsonSyntaxException(Throwable cause)` Creates exception with the specified cause.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JsonSyntaxException

    public JsonSyntaxException(String msg)

### JsonSyntaxException

    public JsonSyntaxException(String msg,
                               Throwable cause)

### JsonSyntaxException

    public JsonSyntaxException(Throwable cause)

  Creates exception with the specified cause. Consider using `JsonSyntaxException(String, Throwable)` instead if you can describe what actually happened.

  Parameters:
    `cause` - root exception that caused this exception to be thrown.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008–2014 Google, Inc.. All rights reserved.